Subject: Re: Q: executing shell scripts in beta 19
From: [email-masked] (Heinz-Jrgen Oertel)

2 Oct 1998 19:42:29 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=iso-8859-1
Content-Transfer-Encoding: 8bit
To: "Borre 'Wouse' Sanders" <[email-masked]>, [email-masked]

Borre 'Wouse' Sanders wrote:
> 
> Hello,
> 
> In Beta 18 I used to be able to execute scripts that are in the path
> using just a 'sh scriptname' type command line.
> As of beta 19 I have to include the full path to the script, as
> otherwise the script fails to execute, returning an error "can't open
> scriptname".
> 
> "ls -l" shows that the scripts don't have an 'x' attribute set, which
> they should have, as they start with #! as supposedly is being
> checked (according to the FAQ) (by sh.exe I assume). May be the
> missing attribute is the problem. However, chmod doesn't help. Is
> this a bug or have I missed something that will get the scripts to
> run in the way they did in beta 18?
> 
> Thanks in advance for useful suggestions.
> 

I put my scripts iand a working shell, bash as sh,
into /bin
and let the scripts  start with
#!/bin/sh

-- 
with best regards / mit freundlichen Grüßen
Heinz-Jürgen Oertel

==========================================
Heinz-Juergen Oertel
port GmbH            phone +49 3493 743-10
Antonienstr. 3       fax   +49 3493 743-15
D-06749 Bitterfeld   email [email-masked]
Germany              http://www.port.de
==========================================
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".